/v1/3d/text-to-3d3 credits · 1024 / 5 credits · 1536Text to 3D Generation
Automated end-to-end pipeline: optimizes your text prompt, generates a multi-view 2D concept render via OpenAI or Gemini, and reconstructs into a 3D mesh via BlueFox 3D.
Overview
Automated end-to-end pipeline: optimizes your text prompt, generates a multi-view 2D concept render via OpenAI or Gemini, and reconstructs into a 3D mesh via BlueFox 3D.
Request bodyapplication/json
| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
| prompt# | string | required | — | Text description of the 3D model (e.g. 'A futuristic cyberpunk cybernetic samurai helmet, matte titanium, emissive neon cyan visor'). |
| image_model# | object | optional | — | Optional provider settings: { provider: 'openai' | 'gemini', quality: 'standard' | 'high', aspect: '1:1' }Show image_model properties
|
| provider# | string | optional | openai | Concept render provider: openai or gemini. |
| quality# | string | optional | standard | Render quality: standard or high. |
| aspect# | string | optional | 1:1 | Concept render aspect ratio. |
| resolution# | number | optional | 1536 | Mesh cascade resolution: 1024 or 1536. |
Text description of the 3D model (e.g. 'A futuristic cyberpunk cybernetic samurai helmet, matte titanium, emissive neon cyan visor').
Optional provider settings: { provider: 'openai' | 'gemini', quality: 'standard' | 'high', aspect: '1:1' }
- provider string — Concept render provider: openai or gemini.
- quality string — Render quality: standard or high.
- aspect string — Concept render aspect ratio.
Mesh cascade resolution: 1024 or 1536.
Response
Successful requests return the job object. Errors use the status codes below.
Authentication errors
401 — Invalid or revoked API key. 402 — Not enough credits.
curl -X POST https://backend.hydrilla.ai/v1/3d/text-to-3d \
-H "Authorization: Bearer hyd_live_your_api_key_here" \
-H "Content-Type: application/json" \
-d '{
"prompt": "Futuristic cyberpunk vehicle, high details, game ready prop",
"image_model": {
"provider": "openai",
"quality": "high"
},
"resolution": 1536
}'import requests
url = "https://backend.hydrilla.ai/v1/3d/text-to-3d"
headers = {
"Authorization": "Bearer hyd_live_your_api_key_here",
"Content-Type": "application/json"
}
payload = {
"prompt": "Futuristic cyberpunk vehicle, high details, game ready prop",
"image_model": {
"provider": "openai",
"quality": "high"
},
"resolution": 1536
}
response = requests.post(url, headers=headers, json=payload)
data = response.json()
print("Task ID:", data["id"])const response = await fetch("https://backend.hydrilla.ai/v1/3d/text-to-3d", {
method: "POST",
headers: {
"Authorization": "Bearer hyd_live_your_api_key_here",
"Content-Type": "application/json"
},
body: JSON.stringify({
prompt: "Futuristic cyberpunk vehicle, high details, game ready prop",
image_model: {
provider: "openai",
quality: "high"
},
resolution: 1536
})
});
const data = await response.json();
console.log("Task ID:", data.id);{
"id": "job_c18ab44d03e192a40",
"status": "queued",
"prompt": "Futuristic cyberpunk vehicle, high details, game ready prop",
"resolution": 1536,
"concept_image_url": "https://hydrilla-assets.s3.amazonaws.com/generated/concept_c18ab.png",
"created_at": "2026-09-30T10:00:00.000Z",
"eta_seconds": 60,
"links": {
"poll": "https://backend.hydrilla.ai/v1/3d/tasks/job_c18ab44d03e192a40"
}
}Response fields
- id string
- status string
- prompt string
- resolution number
- concept_image_url string
- created_at string
- eta_seconds number
links object
- poll string
{
"error": "Unauthorized",
"message": "Invalid or revoked API key."
}{
"error": "Insufficient credits",
"credits_required": 3,
"credits_available": 0,
"upgrade_url": "https://hydrilla.co/app/settings"
}